Upstream information

CVE-2021-25634 at MITRE

Description

LibreOffice supports digital signatures of ODF documents and macros within documents, presenting visual aids that no alteration of the document occurred since the last signing and that the signature is valid. An Improper Certificate Validation vulnerability in LibreOffice allowed an attacker to modify a digitally signed ODF document to insert an additional signing time timestamp which LibreOffice would incorrectly present as a valid signature signed at the bogus signing time. This issue affects: The Document Foundation LibreOffice 7-0 versions prior to 7.0.6; 7-1 versions prior to 7.1.2.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

SUSE Bugzilla entry: 1191572 [NEW]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP5 libreoffice Not affected
SUSE Linux Enterprise Desktop 15 SP2 libreoffice Not affected
SUSE Linux Enterprise Server 12 SP5 libreoffice Not affected
SUSE Linux Enterprise Server 15 SP2 libreoffice Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 libreoffice Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 libreoffice Not affected
SUSE Linux Enterprise Workstation Extension 12 SP5 libreoffice Not affected
SUSE Linux Enterprise Workstation Extension 15 SP2 libreoffice Not affected